# Cases (deprecated)

This is an object representing your `Case` in TransactionLink. You can retrieve it to see the  current data of the `Case`.

{% hint style="warning" %}
**We are discontinuing Cases in favor of Records, which are fully customizable. The documentation is automatically generated in the dashboard based on your configuration. If you do not have a configuration set up, please contact us at** [**tech@transactionlink.io**](mailto:tech@transactionlink.io)
{% endhint %}

## Create case

> Create a case with provided data

```json
{"openapi":"3.0.3","info":{"title":"TransactionLink API","version":"1.0.0"},"tags":[{"name":"Cases","description":"This is an object representing your Case in TransactionLink"}],"servers":[{"url":"https://api.transactionlink.io","description":"Production environment"}],"paths":{"/cases":{"post":{"tags":["Cases"],"summary":"Create case","description":"Create a case with provided data","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCaseDto"}}}},"responses":{"201":{"description":"Case was created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaseDto"}}}},"400":{"description":"Bad request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"CreateCaseDto":{"type":"object","properties":{"firstName":{"type":"string","description":"First name"},"lastName":{"type":"string","description":"Last name"},"personalNumber":{"type":"string","description":"Personal Number"},"email":{"type":"string","description":"Email"},"phone":{"type":"object","description":"Phone","properties":{"countryCode":{"type":"string","description":"Country code of phone number"},"number":{"type":"string","description":"Phone number"}}},"companyName":{"type":"string","description":"Company name"},"companyNumber":{"type":"string","description":"Company number"},"companyAddress":{"type":"string","description":"Company address"},"documents":{"type":"array","items":{"type":"object","properties":{"resourceId":{"type":"string","description":"resource id"},"resourceName":{"type":"string","description":"file name"},"resourcePath":{"type":"string","description":"resource path"}}}}}},"CaseDto":{"type":"object","required":["caseId","partyId","partyDetails","createdDate"],"properties":{"createdDate":{"type":"string","description":"Creation time"},"caseId":{"type":"string","description":"Case Id"},"partyId":{"type":"string","description":"Case id"},"partyDetails":{"type":"object","required":["personal","business","documents"],"properties":{"personal":{"type":"object","required":["firstName","lastName","personalNumber","email","phone"],"properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"personalNumber":{"type":"string"},"email":{"type":"string"},"phone":{"type":"object","required":["countryCode","number"],"properties":{"countryCode":{"type":"string"},"number":{"type":"string"}}}}},"business":{"type":"object","required":["companyNumber","companyName","companyAddress"],"properties":{"companyNumber":{"type":"string"},"companyName":{"type":"string"},"companyAddress":{"type":"string"}}},"documents":{"type":"array","items":{"type":"object","properties":{"resourceId":{"type":"string","description":"resource id"},"resourceName":{"type":"string","description":"file name"},"resourcePath":{"type":"string","description":"resource path"}}}}}}}},"ErrorResponse":{"type":"object","required":["fingerprint","errors"],"properties":{"fingerprint":{"type":"string","description":"error id"},"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code"},"message":{"type":"string","description":"Error message"}}}}}}}}}
```

## Get case

> Get a case

```json
{"openapi":"3.0.3","info":{"title":"TransactionLink API","version":"1.0.0"},"tags":[{"name":"Cases","description":"This is an object representing your Case in TransactionLink"}],"servers":[{"url":"https://api.transactionlink.io","description":"Production environment"}],"paths":{"/cases/{caseId}":{"get":{"tags":["Cases"],"summary":"Get case","description":"Get a case","parameters":[{"in":"path","name":"caseId","schema":{"type":"string","format":"uuid"},"required":true,"description":"UUID of the case to get"},{"name":"Accept","in":"header","required":true,"schema":{"type":"string"},"description":"Can be 'application/json', 'application/json;version=1' or 'application/json;version=2'"}],"responses":{"200":{"description":"Returns the case object","content":{"application/json; version=1":{"schema":{"$ref":"#/components/schemas/CaseDto"}},"application/json; version=2":{"schema":{"$ref":"#/components/schemas/CaseDtoV2"}}}},"404":{"description":"Case not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"CaseDto":{"type":"object","required":["caseId","partyId","partyDetails","createdDate"],"properties":{"createdDate":{"type":"string","description":"Creation time"},"caseId":{"type":"string","description":"Case Id"},"partyId":{"type":"string","description":"Case id"},"partyDetails":{"type":"object","required":["personal","business","documents"],"properties":{"personal":{"type":"object","required":["firstName","lastName","personalNumber","email","phone"],"properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"personalNumber":{"type":"string"},"email":{"type":"string"},"phone":{"type":"object","required":["countryCode","number"],"properties":{"countryCode":{"type":"string"},"number":{"type":"string"}}}}},"business":{"type":"object","required":["companyNumber","companyName","companyAddress"],"properties":{"companyNumber":{"type":"string"},"companyName":{"type":"string"},"companyAddress":{"type":"string"}}},"documents":{"type":"array","items":{"type":"object","properties":{"resourceId":{"type":"string","description":"resource id"},"resourceName":{"type":"string","description":"file name"},"resourcePath":{"type":"string","description":"resource path"}}}}}}}},"CaseDtoV2":{"type":"object","required":["id","createdDateTime"],"properties":{"id":{"type":"string","format":"uuid"},"baseInfo":{"$ref":"#/components/schemas/BaseInfoDto"},"tags":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/CaseTagValueDto"}},"result":{"$ref":"#/components/schemas/CaseResult"},"createdDateTime":{"type":"string","format":"date-time"},"customData":{"type":"object"}}},"BaseInfoDto":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"personalNumber":{"type":"string"},"email":{"type":"string"},"phone":{"$ref":"#/components/schemas/PhoneDto"},"company":{"$ref":"#/components/schemas/CompanyDto"},"documents":{"type":"array","items":{"$ref":"#/components/schemas/DocumentDto"}}}},"PhoneDto":{"type":"object","properties":{"countryCode":{"type":"string"},"number":{"type":"string"}}},"CompanyDto":{"type":"object","properties":{"name":{"type":"string"},"number":{"type":"string"},"address":{"type":"string"}}},"DocumentDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"path":{"type":"string"}}},"CaseTagValueDto":{"type":"object","properties":{"value":{"type":"string"},"description":{"type":"string"},"color":{"type":"string"},"category":{"$ref":"#/components/schemas/CaseTagCategoryDto"},"priority":{"type":"integer"}}},"CaseTagCategoryDto":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"}}},"CaseResult":{"type":"string"},"ErrorResponse":{"type":"object","required":["fingerprint","errors"],"properties":{"fingerprint":{"type":"string","description":"error id"},"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code"},"message":{"type":"string","description":"Error message"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/transactionlink-api/api-reference/cases-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
